import request from '../utils/request'
import getAPI from '../config/apis'

export default {
  namespaced: true,
    state: {
      detail: {},
      // buildingDate:[]
    },
    mutations: {
      updateBuilding(state, detail) {
        state.detail = detail;
        // state.buildingDate=buildingDate
      },
      numadd(state,params){
       state.detail.buildingDynamicLst.forEach(element => {
          if(element.id==params.id){
            element.browsingnum++;
          }
        });
      }
    },
    actions: {
      getBuilding({ commit }, params) {
        return new Promise((resolve, reject) => {
          request({ ...getAPI('building.getbuilding', { project_id: params.project_id }) }).then((data) => {
            commit('updateBuilding', data)
            resolve()            
          }).catch(reject)
        });
      },
      updateBuilding({ commit }, params){
        commit('updateBuilding', params)
      },
      numadd({commit},params){
        commit('numadd', params)
      }
    }
  }