import request from '../utils/request'
import getAPI from '../config/apis'

export default {
    namespaced: true,
    state: {
      mapinfo: {},
    },
    mutations: {
      updateMap(state, mapinfo) {
        state.mapinfo = mapinfo
      }
    },
    actions: {
      getMap({ commit }, params) {
        // debugger
        return new Promise((resolve, reject) => {
          request({ ...getAPI('map.getmapinformation',{ buildingid: params.id }) }).then((data) => {
            commit('updateMap', data)
            resolve()            
          }).catch(reject)
        });
      },
    }
  }