import request from '../utils/request'
import getAPI from '../config/apis'

export default {
  namespaced: true,
  state: {
    updata: {}
  },
  mutations: {
    updateOrder(state, updata) {
      state.updata = updata
    }
  },
  actions: {
    postOrder({ commit }, params) {
      window.console.log(params)
      return new Promise((resolve, reject) => {
        request({ ...getAPI('order.save'), data: params }).then((res) => {
          commit('updateOrder', res)
          resolve()
        }).catch(reject)
      });
    },
  }
}